Bug 264147 - XSPF playlists don't support relative paths
Summary: XSPF playlists don't support relative paths
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlists/Saved Playlists (show other bugs)
Version: 2.4.0
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: 2.4.1
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-24 09:47 UTC by Bart Cerneels
Modified: 2011-04-02 18:12 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bart Cerneels 2011-01-24 09:47:13 UTC
Version:           2.4.0
OS:                Linux

http://xspf.org/xspf-v1.html#rfc.section.6.2

XSPFPlaylist::save( const KUrl &location, bool relative )
{
    Q_UNUSED( relative );

Reproducible: Always
Comment 1 Sergey Ivanov 2011-04-02 15:11:11 UTC
Git commit 691e173079208c62e4a02d3d220b252c0ff74e38 by Sergey Ivanov.
Committed on 02/04/2011 at 15:14.
Pushed by ivanov into branch 'master'.

Relative paths support for XSPF playlists.
BUG: 264147

M  +1    -0    ChangeLog     
M  +52   -9    src/core-impl/playlists/types/file/xspf/XSPFPlaylist.cpp     
M  +4    -1    src/core-impl/playlists/types/file/xspf/XSPFPlaylist.h     

http://commits.kde.org/amarok/691e173079208c62e4a02d3d220b252c0ff74e38